> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workspace Service Accounts

> List all service accounts in the workspace



## OpenAPI

````yaml /api-reference/openapi.json get /v1/service-accounts
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/service-accounts:
    get:
      tags:
        - workspace
      summary: Get Workspace Service Accounts
      description: List all service accounts in the workspace
      operationId: get_workspace_service_accounts
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceServiceAccountListResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WorkspaceServiceAccountListResponseModel:
      properties:
        service-accounts:
          items:
            $ref: '#/components/schemas/WorkspaceServiceAccountResponseModel'
          type: array
          title: Service-Accounts
      type: object
      required:
        - service-accounts
      title: WorkspaceServiceAccountListResponseModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkspaceServiceAccountResponseModel:
      properties:
        service_account_user_id:
          type: string
          title: Service Account User Id
        name:
          type: string
          title: Name
        created_at_unix:
          anyOf:
            - type: integer
            - type: 'null'
          title: Created At Unix
        api-keys:
          items:
            $ref: '#/components/schemas/WorkspaceApiKeyResponseModel'
          type: array
          title: Api-Keys
        default_sharing_groups:
          items:
            $ref: '#/components/schemas/DefaultSharingGroupResponseModel'
          type: array
          title: Default Sharing Groups
      type: object
      required:
        - service_account_user_id
        - name
        - api-keys
      title: WorkspaceServiceAccountResponseModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    WorkspaceApiKeyResponseModel:
      properties:
        name:
          type: string
          title: Name
        hint:
          type: string
          title: Hint
        key_id:
          type: string
          title: Key Id
        service_account_user_id:
          type: string
          title: Service Account User Id
        created_at_unix:
          anyOf:
            - type: integer
            - type: 'null'
          title: Created At Unix
        is_disabled:
          type: boolean
          title: Is Disabled
          default: false
        permissions:
          anyOf:
            - items:
                $ref: '#/components/schemas/PermissionType'
              type: array
            - type: 'null'
          title: Permissions
        disable_reason:
          anyOf:
            - $ref: '#/components/schemas/LockReason'
            - type: 'null'
        credit_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Credit Limit
          description: Maximum number of credits allowed in the current billing period.
        credit_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Credit Count
          description: Credits already used in the current billing period.
        hashed_xi_api_key:
          type: string
          title: Hashed Xi Api Key
        allowed_ips:
          anyOf:
            - items:
                type: string
              type: array
              maxItems: 100
              minItems: 1
            - type: 'null'
          title: Allowed Ips
        third_party_disable_allowed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Third Party Disable Allowed
      type: object
      required:
        - name
        - hint
        - key_id
        - service_account_user_id
        - hashed_xi_api_key
      title: WorkspaceApiKeyResponseModel
    DefaultSharingGroupResponseModel:
      properties:
        group:
          $ref: '#/components/schemas/WorkspaceGroupResponseModel'
          description: The group to share with by default
        permission_level:
          type: string
          enum:
            - admin
            - editor
            - viewer
          title: Permission Level
          description: The permission level to grant to the group
      type: object
      required:
        - group
        - permission_level
      title: DefaultSharingGroupResponseModel
    PermissionType:
      type: string
      enum:
        - models_read
        - voices_read
        - voices_write
        - workspace_read
        - workspace_write
        - convai_read
        - convai_write
        - create_user_api_key
        - workspace_analytics_full_read
        - webhooks_write
        - service_account_write
        - group_members_manage
        - workspace_members_read
        - workspace_members_invite
        - workspace_members_remove
        - terms_of_service_accept
        - audit_log_read
        - conversation_privacy_manage
        - copy_resources_cross_workspace
      title: PermissionType
      description: Public API-key permission universe supported by Threetone.
    LockReason:
      type: string
      enum:
        - trial_ended
        - subscription_downgrade
        - exposed_publicly
        - self_disabled
      title: LockReason
    WorkspaceGroupResponseModel:
      properties:
        name:
          type: string
          title: Name
        id:
          type: string
          title: Id
        members:
          items:
            type: string
          type: array
          title: Members
        permissions:
          anyOf:
            - items:
                $ref: '#/components/schemas/WorkspaceGroupPermission'
              type: array
            - type: 'null'
          title: Permissions
        group_usage_limit:
          anyOf:
            - type: integer
            - type: string
              const: unlimited
            - type: 'null'
          title: Group Usage Limit
        group_pvc_limit:
          anyOf:
            - type: integer
            - type: string
              const: unlimited
            - type: 'null'
          title: Group Pvc Limit
        credit_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Credit Count
        is_scim_synced:
          type: boolean
          title: Is Scim Synced
          default: false
        scim_group:
          anyOf:
            - $ref: '#/components/schemas/ScimGroupResponseModel'
            - type: 'null'
        scim_frozen:
          type: boolean
          title: Scim Frozen
          default: false
      type: object
      required:
        - name
        - id
        - members
        - permissions
      title: WorkspaceGroupResponseModel
    WorkspaceGroupPermission:
      type: string
      enum:
        - conversational_ai
        - conversational_ai_read
        - create_user_api_key
        - workspace_analytics_full_read
        - service_accounts_manage
        - webhooks_manage
        - group_members_manage
        - workspace_members_invite
        - workspace_members_remove
        - terms_of_service_accept
        - audit_log_read
        - conversation_privacy_manage
        - copy_resources_cross_workspace
      title: WorkspaceGroupPermission
      description: Workspace permissions assignable to human groups and roles.
    ScimGroupResponseModel:
      properties:
        scim_external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Scim External Id
        display_name:
          type: string
          title: Display Name
        created_at_unix:
          anyOf:
            - type: integer
            - type: 'null'
          title: Created At Unix
        updated_at_unix:
          anyOf:
            - type: integer
            - type: 'null'
          title: Updated At Unix
        seat_type:
          anyOf:
            - $ref: '#/components/schemas/SeatType'
            - type: 'null'
      type: object
      required:
        - scim_external_id
        - display_name
      title: ScimGroupResponseModel
    SeatType:
      type: string
      enum:
        - workspace_admin
        - workspace_member
        - workspace_lite_member
      title: SeatType
      description: Seat types for workspace members.

````